# DelayedAttackAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class DelayedAttackAttr

Attack Move that doesn't hit the turn it is played and doesn't allow for multiple uses on the same target. Examples are Future Sight or Doom Desire.

#### Param: tagType

The `ArenaTagType` that will be placed on the field when the move is used

#### Param: chargeAnim

The `Charging Animation` used for the move

#### Param: chargeText

The text to display when the move is used

#### Hierarchy (View Summary)

- OverrideMoveEffectAttr
  - DelayedAttackAttr

- Defined in src/data/moves/move.ts:3003

##### Index

### Constructors

constructor

### Properties

chargeAnim
selfTarget
tagType

### Methods

apply
getCondition
getFailedText
getTargetBenefitScore
getUserBenefitScore

## Constructors

### constructor

- new DelayedAttackAttr(
  tagType: ArenaTagType ,
  chargeAnim: ChargeAnim ,
  chargeText: string,
  ): DelayedAttackAttr

  #### Parameters

  - tagType: ArenaTagType
  - chargeAnim: ChargeAnim
  - chargeText: string

  #### Returns DelayedAttackAttr

  Overrides OverrideMoveEffectAttr.constructor

  - Defined in src/data/moves/move.ts:3008

## Properties

### chargeAnim

chargeAnim: ChargeAnim

- Defined in src/data/moves/move.ts:3005

### selfTarget

selfTarget: boolean

Should this `Move` target the user?

Inherited from OverrideMoveEffectAttr.selfTarget

- Defined in src/data/moves/move.ts:1071

### tagType

tagType: ArenaTagType

- Defined in src/data/moves/move.ts:3004

## Methods

### apply

- apply(user: default , target: default , move: default , args: any[]): boolean

  Applies move attributes

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean

  true if application of the ability succeeds

  #### See

  applyMoveAttrsInternal

  Overrides OverrideMoveEffectAttr.apply

  - Defined in src/data/moves/move.ts:3016

### getCondition

- getCondition(): null | MoveCondition | MoveConditionFunc

  #### Returns null | MoveCondition | MoveConditionFunc

  the `MoveCondition` or MoveConditionFunc for this `Move`

  Inherited from OverrideMoveEffectAttr.getCondition

  - Defined in src/data/moves/move.ts:1095

### getFailedText

- getFailedText(user: default , target: default , move: default ): undefined | string

  #### Parameters

  - user: default

    `Pokemon` using the move

  - target: default

    `Pokemon` target of the move

  - move: default

    `Move` with this attribute

  #### Returns undefined | string

  the string representing failure of this `Move`

  Inherited from OverrideMoveEffectAttr.getFailedText

  - Defined in src/data/moves/move.ts:1106

### getTargetBenefitScore

- getTargetBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given target

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from OverrideMoveEffectAttr.getTargetBenefitScore

  - Defined in src/data/moves/move.ts:1124

### getUserBenefitScore

- getUserBenefitScore(user: default , target: default , move: default ): number

  Used by the Enemy AI to rank an attack based on a given user

  #### Parameters

  - user: default
  - target: default
  - move: default

  #### Returns number

  #### See

  `EnemyPokemon.getNextMove`

  Inherited from OverrideMoveEffectAttr.getUserBenefitScore

  - Defined in src/data/moves/move.ts:1115